Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network210.41.64.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
210.41.64.0
Broadcast address
210.41.127.255
First usable
210.41.64.1
Last usable
210.41.127.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
C (default /24)
As numbers
Hex D2294000 · Integer 3525918720 to 3525935103
Reverse DNS zones
64.41.210.in-addr.arpa
65.41.210.in-addr.arpa
66.41.210.in-addr.arpa
67.41.210.in-addr.arpa
68.41.210.in-addr.arpa
69.41.210.in-addr.arpa
70.41.210.in-addr.arpa
71.41.210.in-addr.arpa
72.41.210.in-addr.arpa
73.41.210.in-addr.arpa
74.41.210.in-addr.arpa
75.41.210.in-addr.arpa
76.41.210.in-addr.arpa
77.41.210.in-addr.arpa
78.41.210.in-addr.arpa
79.41.210.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11010010.00101001.01000000.00000000210.41.64.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network11010010.00101001.01000000.00000000210.41.64.0
Broadcast11010010.00101001.01111111.11111111210.41.127.255
Split into smaller subnets/26

210.41.64.0/18 makes 256 subnets of /26.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1210.41.64.0/26210.41.64.1 to 210.41.64.62210.41.64.6362
2210.41.64.64/26210.41.64.65 to 210.41.64.126210.41.64.12762
3210.41.64.128/26210.41.64.129 to 210.41.64.190210.41.64.19162
4210.41.64.192/26210.41.64.193 to 210.41.64.254210.41.64.25562
5210.41.65.0/26210.41.65.1 to 210.41.65.62210.41.65.6362
6210.41.65.64/26210.41.65.65 to 210.41.65.126210.41.65.12762
7210.41.65.128/26210.41.65.129 to 210.41.65.190210.41.65.19162
8210.41.65.192/26210.41.65.193 to 210.41.65.254210.41.65.25562
9210.41.66.0/26210.41.66.1 to 210.41.66.62210.41.66.6362
10210.41.66.64/26210.41.66.65 to 210.41.66.126210.41.66.12762
11210.41.66.128/26210.41.66.129 to 210.41.66.190210.41.66.19162
12210.41.66.192/26210.41.66.193 to 210.41.66.254210.41.66.25562
13210.41.67.0/26210.41.67.1 to 210.41.67.62210.41.67.6362
14210.41.67.64/26210.41.67.65 to 210.41.67.126210.41.67.12762
15210.41.67.128/26210.41.67.129 to 210.41.67.190210.41.67.19162
16210.41.67.192/26210.41.67.193 to 210.41.67.254210.41.67.25562
17210.41.68.0/26210.41.68.1 to 210.41.68.62210.41.68.6362
18210.41.68.64/26210.41.68.65 to 210.41.68.126210.41.68.12762
19210.41.68.128/26210.41.68.129 to 210.41.68.190210.41.68.19162
20210.41.68.192/26210.41.68.193 to 210.41.68.254210.41.68.25562
21210.41.69.0/26210.41.69.1 to 210.41.69.62210.41.69.6362
22210.41.69.64/26210.41.69.65 to 210.41.69.126210.41.69.12762
23210.41.69.128/26210.41.69.129 to 210.41.69.190210.41.69.19162
24210.41.69.192/26210.41.69.193 to 210.41.69.254210.41.69.25562
25210.41.70.0/26210.41.70.1 to 210.41.70.62210.41.70.6362
26210.41.70.64/26210.41.70.65 to 210.41.70.126210.41.70.12762
27210.41.70.128/26210.41.70.129 to 210.41.70.190210.41.70.19162
28210.41.70.192/26210.41.70.193 to 210.41.70.254210.41.70.25562
29210.41.71.0/26210.41.71.1 to 210.41.71.62210.41.71.6362
30210.41.71.64/26210.41.71.65 to 210.41.71.126210.41.71.12762
31210.41.71.128/26210.41.71.129 to 210.41.71.190210.41.71.19162
32210.41.71.192/26210.41.71.193 to 210.41.71.254210.41.71.25562
33210.41.72.0/26210.41.72.1 to 210.41.72.62210.41.72.6362
34210.41.72.64/26210.41.72.65 to 210.41.72.126210.41.72.12762
35210.41.72.128/26210.41.72.129 to 210.41.72.190210.41.72.19162
36210.41.72.192/26210.41.72.193 to 210.41.72.254210.41.72.25562
37210.41.73.0/26210.41.73.1 to 210.41.73.62210.41.73.6362
38210.41.73.64/26210.41.73.65 to 210.41.73.126210.41.73.12762
39210.41.73.128/26210.41.73.129 to 210.41.73.190210.41.73.19162
40210.41.73.192/26210.41.73.193 to 210.41.73.254210.41.73.25562
41210.41.74.0/26210.41.74.1 to 210.41.74.62210.41.74.6362
42210.41.74.64/26210.41.74.65 to 210.41.74.126210.41.74.12762
43210.41.74.128/26210.41.74.129 to 210.41.74.190210.41.74.19162
44210.41.74.192/26210.41.74.193 to 210.41.74.254210.41.74.25562
45210.41.75.0/26210.41.75.1 to 210.41.75.62210.41.75.6362
46210.41.75.64/26210.41.75.65 to 210.41.75.126210.41.75.12762
47210.41.75.128/26210.41.75.129 to 210.41.75.190210.41.75.19162
48210.41.75.192/26210.41.75.193 to 210.41.75.254210.41.75.25562
49210.41.76.0/26210.41.76.1 to 210.41.76.62210.41.76.6362
50210.41.76.64/26210.41.76.65 to 210.41.76.126210.41.76.12762
51210.41.76.128/26210.41.76.129 to 210.41.76.190210.41.76.19162
52210.41.76.192/26210.41.76.193 to 210.41.76.254210.41.76.25562
53210.41.77.0/26210.41.77.1 to 210.41.77.62210.41.77.6362
54210.41.77.64/26210.41.77.65 to 210.41.77.126210.41.77.12762
55210.41.77.128/26210.41.77.129 to 210.41.77.190210.41.77.19162
56210.41.77.192/26210.41.77.193 to 210.41.77.254210.41.77.25562
57210.41.78.0/26210.41.78.1 to 210.41.78.62210.41.78.6362
58210.41.78.64/26210.41.78.65 to 210.41.78.126210.41.78.12762
59210.41.78.128/26210.41.78.129 to 210.41.78.190210.41.78.19162
60210.41.78.192/26210.41.78.193 to 210.41.78.254210.41.78.25562
61210.41.79.0/26210.41.79.1 to 210.41.79.62210.41.79.6362
62210.41.79.64/26210.41.79.65 to 210.41.79.126210.41.79.12762
63210.41.79.128/26210.41.79.129 to 210.41.79.190210.41.79.19162
64210.41.79.192/26210.41.79.193 to 210.41.79.254210.41.79.25562
65210.41.80.0/26210.41.80.1 to 210.41.80.62210.41.80.6362
66210.41.80.64/26210.41.80.65 to 210.41.80.126210.41.80.12762
67210.41.80.128/26210.41.80.129 to 210.41.80.190210.41.80.19162
68210.41.80.192/26210.41.80.193 to 210.41.80.254210.41.80.25562
69210.41.81.0/26210.41.81.1 to 210.41.81.62210.41.81.6362
70210.41.81.64/26210.41.81.65 to 210.41.81.126210.41.81.12762
71210.41.81.128/26210.41.81.129 to 210.41.81.190210.41.81.19162
72210.41.81.192/26210.41.81.193 to 210.41.81.254210.41.81.25562
73210.41.82.0/26210.41.82.1 to 210.41.82.62210.41.82.6362
74210.41.82.64/26210.41.82.65 to 210.41.82.126210.41.82.12762
75210.41.82.128/26210.41.82.129 to 210.41.82.190210.41.82.19162
76210.41.82.192/26210.41.82.193 to 210.41.82.254210.41.82.25562
77210.41.83.0/26210.41.83.1 to 210.41.83.62210.41.83.6362
78210.41.83.64/26210.41.83.65 to 210.41.83.126210.41.83.12762
79210.41.83.128/26210.41.83.129 to 210.41.83.190210.41.83.19162
80210.41.83.192/26210.41.83.193 to 210.41.83.254210.41.83.25562
81210.41.84.0/26210.41.84.1 to 210.41.84.62210.41.84.6362
82210.41.84.64/26210.41.84.65 to 210.41.84.126210.41.84.12762
83210.41.84.128/26210.41.84.129 to 210.41.84.190210.41.84.19162
84210.41.84.192/26210.41.84.193 to 210.41.84.254210.41.84.25562
85210.41.85.0/26210.41.85.1 to 210.41.85.62210.41.85.6362
86210.41.85.64/26210.41.85.65 to 210.41.85.126210.41.85.12762
87210.41.85.128/26210.41.85.129 to 210.41.85.190210.41.85.19162
88210.41.85.192/26210.41.85.193 to 210.41.85.254210.41.85.25562
89210.41.86.0/26210.41.86.1 to 210.41.86.62210.41.86.6362
90210.41.86.64/26210.41.86.65 to 210.41.86.126210.41.86.12762
91210.41.86.128/26210.41.86.129 to 210.41.86.190210.41.86.19162
92210.41.86.192/26210.41.86.193 to 210.41.86.254210.41.86.25562
93210.41.87.0/26210.41.87.1 to 210.41.87.62210.41.87.6362
94210.41.87.64/26210.41.87.65 to 210.41.87.126210.41.87.12762
95210.41.87.128/26210.41.87.129 to 210.41.87.190210.41.87.19162
96210.41.87.192/26210.41.87.193 to 210.41.87.254210.41.87.25562
97210.41.88.0/26210.41.88.1 to 210.41.88.62210.41.88.6362
98210.41.88.64/26210.41.88.65 to 210.41.88.126210.41.88.12762
99210.41.88.128/26210.41.88.129 to 210.41.88.190210.41.88.19162
100210.41.88.192/26210.41.88.193 to 210.41.88.254210.41.88.25562
101210.41.89.0/26210.41.89.1 to 210.41.89.62210.41.89.6362
102210.41.89.64/26210.41.89.65 to 210.41.89.126210.41.89.12762
103210.41.89.128/26210.41.89.129 to 210.41.89.190210.41.89.19162
104210.41.89.192/26210.41.89.193 to 210.41.89.254210.41.89.25562
105210.41.90.0/26210.41.90.1 to 210.41.90.62210.41.90.6362
106210.41.90.64/26210.41.90.65 to 210.41.90.126210.41.90.12762
107210.41.90.128/26210.41.90.129 to 210.41.90.190210.41.90.19162
108210.41.90.192/26210.41.90.193 to 210.41.90.254210.41.90.25562
109210.41.91.0/26210.41.91.1 to 210.41.91.62210.41.91.6362
110210.41.91.64/26210.41.91.65 to 210.41.91.126210.41.91.12762
111210.41.91.128/26210.41.91.129 to 210.41.91.190210.41.91.19162
112210.41.91.192/26210.41.91.193 to 210.41.91.254210.41.91.25562
113210.41.92.0/26210.41.92.1 to 210.41.92.62210.41.92.6362
114210.41.92.64/26210.41.92.65 to 210.41.92.126210.41.92.12762
115210.41.92.128/26210.41.92.129 to 210.41.92.190210.41.92.19162
116210.41.92.192/26210.41.92.193 to 210.41.92.254210.41.92.25562
117210.41.93.0/26210.41.93.1 to 210.41.93.62210.41.93.6362
118210.41.93.64/26210.41.93.65 to 210.41.93.126210.41.93.12762
119210.41.93.128/26210.41.93.129 to 210.41.93.190210.41.93.19162
120210.41.93.192/26210.41.93.193 to 210.41.93.254210.41.93.25562
121210.41.94.0/26210.41.94.1 to 210.41.94.62210.41.94.6362
122210.41.94.64/26210.41.94.65 to 210.41.94.126210.41.94.12762
123210.41.94.128/26210.41.94.129 to 210.41.94.190210.41.94.19162
124210.41.94.192/26210.41.94.193 to 210.41.94.254210.41.94.25562
125210.41.95.0/26210.41.95.1 to 210.41.95.62210.41.95.6362
126210.41.95.64/26210.41.95.65 to 210.41.95.126210.41.95.12762
127210.41.95.128/26210.41.95.129 to 210.41.95.190210.41.95.19162
128210.41.95.192/26210.41.95.193 to 210.41.95.254210.41.95.25562
129210.41.96.0/26210.41.96.1 to 210.41.96.62210.41.96.6362
130210.41.96.64/26210.41.96.65 to 210.41.96.126210.41.96.12762
131210.41.96.128/26210.41.96.129 to 210.41.96.190210.41.96.19162
132210.41.96.192/26210.41.96.193 to 210.41.96.254210.41.96.25562
133210.41.97.0/26210.41.97.1 to 210.41.97.62210.41.97.6362
134210.41.97.64/26210.41.97.65 to 210.41.97.126210.41.97.12762
135210.41.97.128/26210.41.97.129 to 210.41.97.190210.41.97.19162
136210.41.97.192/26210.41.97.193 to 210.41.97.254210.41.97.25562
137210.41.98.0/26210.41.98.1 to 210.41.98.62210.41.98.6362
138210.41.98.64/26210.41.98.65 to 210.41.98.126210.41.98.12762
139210.41.98.128/26210.41.98.129 to 210.41.98.190210.41.98.19162
140210.41.98.192/26210.41.98.193 to 210.41.98.254210.41.98.25562
141210.41.99.0/26210.41.99.1 to 210.41.99.62210.41.99.6362
142210.41.99.64/26210.41.99.65 to 210.41.99.126210.41.99.12762
143210.41.99.128/26210.41.99.129 to 210.41.99.190210.41.99.19162
144210.41.99.192/26210.41.99.193 to 210.41.99.254210.41.99.25562
145210.41.100.0/26210.41.100.1 to 210.41.100.62210.41.100.6362
146210.41.100.64/26210.41.100.65 to 210.41.100.126210.41.100.12762
147210.41.100.128/26210.41.100.129 to 210.41.100.190210.41.100.19162
148210.41.100.192/26210.41.100.193 to 210.41.100.254210.41.100.25562
149210.41.101.0/26210.41.101.1 to 210.41.101.62210.41.101.6362
150210.41.101.64/26210.41.101.65 to 210.41.101.126210.41.101.12762
151210.41.101.128/26210.41.101.129 to 210.41.101.190210.41.101.19162
152210.41.101.192/26210.41.101.193 to 210.41.101.254210.41.101.25562
153210.41.102.0/26210.41.102.1 to 210.41.102.62210.41.102.6362
154210.41.102.64/26210.41.102.65 to 210.41.102.126210.41.102.12762
155210.41.102.128/26210.41.102.129 to 210.41.102.190210.41.102.19162
156210.41.102.192/26210.41.102.193 to 210.41.102.254210.41.102.25562
157210.41.103.0/26210.41.103.1 to 210.41.103.62210.41.103.6362
158210.41.103.64/26210.41.103.65 to 210.41.103.126210.41.103.12762
159210.41.103.128/26210.41.103.129 to 210.41.103.190210.41.103.19162
160210.41.103.192/26210.41.103.193 to 210.41.103.254210.41.103.25562
161210.41.104.0/26210.41.104.1 to 210.41.104.62210.41.104.6362
162210.41.104.64/26210.41.104.65 to 210.41.104.126210.41.104.12762
163210.41.104.128/26210.41.104.129 to 210.41.104.190210.41.104.19162
164210.41.104.192/26210.41.104.193 to 210.41.104.254210.41.104.25562
165210.41.105.0/26210.41.105.1 to 210.41.105.62210.41.105.6362
166210.41.105.64/26210.41.105.65 to 210.41.105.126210.41.105.12762
167210.41.105.128/26210.41.105.129 to 210.41.105.190210.41.105.19162
168210.41.105.192/26210.41.105.193 to 210.41.105.254210.41.105.25562
169210.41.106.0/26210.41.106.1 to 210.41.106.62210.41.106.6362
170210.41.106.64/26210.41.106.65 to 210.41.106.126210.41.106.12762
171210.41.106.128/26210.41.106.129 to 210.41.106.190210.41.106.19162
172210.41.106.192/26210.41.106.193 to 210.41.106.254210.41.106.25562
173210.41.107.0/26210.41.107.1 to 210.41.107.62210.41.107.6362
174210.41.107.64/26210.41.107.65 to 210.41.107.126210.41.107.12762
175210.41.107.128/26210.41.107.129 to 210.41.107.190210.41.107.19162
176210.41.107.192/26210.41.107.193 to 210.41.107.254210.41.107.25562
177210.41.108.0/26210.41.108.1 to 210.41.108.62210.41.108.6362
178210.41.108.64/26210.41.108.65 to 210.41.108.126210.41.108.12762
179210.41.108.128/26210.41.108.129 to 210.41.108.190210.41.108.19162
180210.41.108.192/26210.41.108.193 to 210.41.108.254210.41.108.25562
181210.41.109.0/26210.41.109.1 to 210.41.109.62210.41.109.6362
182210.41.109.64/26210.41.109.65 to 210.41.109.126210.41.109.12762
183210.41.109.128/26210.41.109.129 to 210.41.109.190210.41.109.19162
184210.41.109.192/26210.41.109.193 to 210.41.109.254210.41.109.25562
185210.41.110.0/26210.41.110.1 to 210.41.110.62210.41.110.6362
186210.41.110.64/26210.41.110.65 to 210.41.110.126210.41.110.12762
187210.41.110.128/26210.41.110.129 to 210.41.110.190210.41.110.19162
188210.41.110.192/26210.41.110.193 to 210.41.110.254210.41.110.25562
189210.41.111.0/26210.41.111.1 to 210.41.111.62210.41.111.6362
190210.41.111.64/26210.41.111.65 to 210.41.111.126210.41.111.12762
191210.41.111.128/26210.41.111.129 to 210.41.111.190210.41.111.19162
192210.41.111.192/26210.41.111.193 to 210.41.111.254210.41.111.25562
193210.41.112.0/26210.41.112.1 to 210.41.112.62210.41.112.6362
194210.41.112.64/26210.41.112.65 to 210.41.112.126210.41.112.12762
195210.41.112.128/26210.41.112.129 to 210.41.112.190210.41.112.19162
196210.41.112.192/26210.41.112.193 to 210.41.112.254210.41.112.25562
197210.41.113.0/26210.41.113.1 to 210.41.113.62210.41.113.6362
198210.41.113.64/26210.41.113.65 to 210.41.113.126210.41.113.12762
199210.41.113.128/26210.41.113.129 to 210.41.113.190210.41.113.19162
200210.41.113.192/26210.41.113.193 to 210.41.113.254210.41.113.25562
201210.41.114.0/26210.41.114.1 to 210.41.114.62210.41.114.6362
202210.41.114.64/26210.41.114.65 to 210.41.114.126210.41.114.12762
203210.41.114.128/26210.41.114.129 to 210.41.114.190210.41.114.19162
204210.41.114.192/26210.41.114.193 to 210.41.114.254210.41.114.25562
205210.41.115.0/26210.41.115.1 to 210.41.115.62210.41.115.6362
206210.41.115.64/26210.41.115.65 to 210.41.115.126210.41.115.12762
207210.41.115.128/26210.41.115.129 to 210.41.115.190210.41.115.19162
208210.41.115.192/26210.41.115.193 to 210.41.115.254210.41.115.25562
209210.41.116.0/26210.41.116.1 to 210.41.116.62210.41.116.6362
210210.41.116.64/26210.41.116.65 to 210.41.116.126210.41.116.12762
211210.41.116.128/26210.41.116.129 to 210.41.116.190210.41.116.19162
212210.41.116.192/26210.41.116.193 to 210.41.116.254210.41.116.25562
213210.41.117.0/26210.41.117.1 to 210.41.117.62210.41.117.6362
214210.41.117.64/26210.41.117.65 to 210.41.117.126210.41.117.12762
215210.41.117.128/26210.41.117.129 to 210.41.117.190210.41.117.19162
216210.41.117.192/26210.41.117.193 to 210.41.117.254210.41.117.25562
217210.41.118.0/26210.41.118.1 to 210.41.118.62210.41.118.6362
218210.41.118.64/26210.41.118.65 to 210.41.118.126210.41.118.12762
219210.41.118.128/26210.41.118.129 to 210.41.118.190210.41.118.19162
220210.41.118.192/26210.41.118.193 to 210.41.118.254210.41.118.25562
221210.41.119.0/26210.41.119.1 to 210.41.119.62210.41.119.6362
222210.41.119.64/26210.41.119.65 to 210.41.119.126210.41.119.12762
223210.41.119.128/26210.41.119.129 to 210.41.119.190210.41.119.19162
224210.41.119.192/26210.41.119.193 to 210.41.119.254210.41.119.25562
225210.41.120.0/26210.41.120.1 to 210.41.120.62210.41.120.6362
226210.41.120.64/26210.41.120.65 to 210.41.120.126210.41.120.12762
227210.41.120.128/26210.41.120.129 to 210.41.120.190210.41.120.19162
228210.41.120.192/26210.41.120.193 to 210.41.120.254210.41.120.25562
229210.41.121.0/26210.41.121.1 to 210.41.121.62210.41.121.6362
230210.41.121.64/26210.41.121.65 to 210.41.121.126210.41.121.12762
231210.41.121.128/26210.41.121.129 to 210.41.121.190210.41.121.19162
232210.41.121.192/26210.41.121.193 to 210.41.121.254210.41.121.25562
233210.41.122.0/26210.41.122.1 to 210.41.122.62210.41.122.6362
234210.41.122.64/26210.41.122.65 to 210.41.122.126210.41.122.12762
235210.41.122.128/26210.41.122.129 to 210.41.122.190210.41.122.19162
236210.41.122.192/26210.41.122.193 to 210.41.122.254210.41.122.25562
237210.41.123.0/26210.41.123.1 to 210.41.123.62210.41.123.6362
238210.41.123.64/26210.41.123.65 to 210.41.123.126210.41.123.12762
239210.41.123.128/26210.41.123.129 to 210.41.123.190210.41.123.19162
240210.41.123.192/26210.41.123.193 to 210.41.123.254210.41.123.25562
241210.41.124.0/26210.41.124.1 to 210.41.124.62210.41.124.6362
242210.41.124.64/26210.41.124.65 to 210.41.124.126210.41.124.12762
243210.41.124.128/26210.41.124.129 to 210.41.124.190210.41.124.19162
244210.41.124.192/26210.41.124.193 to 210.41.124.254210.41.124.25562
245210.41.125.0/26210.41.125.1 to 210.41.125.62210.41.125.6362
246210.41.125.64/26210.41.125.65 to 210.41.125.126210.41.125.12762
247210.41.125.128/26210.41.125.129 to 210.41.125.190210.41.125.19162
248210.41.125.192/26210.41.125.193 to 210.41.125.254210.41.125.25562
249210.41.126.0/26210.41.126.1 to 210.41.126.62210.41.126.6362
250210.41.126.64/26210.41.126.65 to 210.41.126.126210.41.126.12762
251210.41.126.128/26210.41.126.129 to 210.41.126.190210.41.126.19162
252210.41.126.192/26210.41.126.193 to 210.41.126.254210.41.126.25562
253210.41.127.0/26210.41.127.1 to 210.41.127.62210.41.127.6362
254210.41.127.64/26210.41.127.65 to 210.41.127.126210.41.127.12762
255210.41.127.128/26210.41.127.129 to 210.41.127.190210.41.127.19162
256210.41.127.192/26210.41.127.193 to 210.41.127.254210.41.127.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses